#
# spec file for package gap-sgpviz
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gap-sgpviz
Version:        0.999.5
Release:        1.3
Summary:        GAP: A package for semigroup visualization
License:        GPL-2.0+
Group:          Productivity/Scientific/Math
URL:            https://gap-packages.github.io/sgpviz
#Git-Clone:     https://github.com/gap-packages/sgpviz
Source:         https://github.com/gap-packages/sgpviz/releases/download/v%version/SgpViz-%version.tar.gz
BuildArch:      noarch
BuildRequires:  gap-rpm-devel
Requires:       gap-automata >= 1.14
Requires:       gap-core >= 4.4

%description
The SgpViz package, is a package with some visualization functions
for semigroups. The features of this package include:

* drawing the D-Classes of a semigroup and the D-Class of an element
  of a semigroup
* computing a minimal factorization of an element of semigroup in the
  generators
* drawing the Schutzenberger graphs of an inverse semigroup
* computing the right Cayley graph of a semigroup
* a Tcl/Tk interface to specify a semigroup

%prep
%autosetup -n SgpViz-%version

%build

%install
%gappkg_simple_install

%files -f %name.files

%changelog
* Sun Feb 12 2023 Jan Engelhardt <jengelh@inai.de>
- Update to release 0.999.5
  * Schutzenberger graphs are now produced in two steps, as the
    remaining drawings
  * Changes to fix a strange behavior when the semigroups package
    is loaded (and a semigroup is entered before)
* Mon Dec 25 2017 jengelh@inai.de
- Update to new upstream release 0.999.1
  * Removed the SuperFail
  * Drawings are now produced in two steps: first the dot code
    (that is accessible to the user) and then the display
  * fix the code brocken by the change of IdentityTransformation
    in the GAP system
* Fri May 10 2013 jengelh@inai.de
- Split sgpviz (version 0.998) off the gap RPM package
